put
https://api.ol-hub.com/backend/api/v1/projects/
The update project API sends a PUT request to update the project's name, description and technology view in the UI (if it's a regular open API project, db poller, file, or reverse api).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Prerequisites: The caller must supply the project id.
Authorization: API key
Input parameters:
| Name | Description | Format |
|---|---|---|
| id | Project id | UUID |
| name | Project name | String |
| description | Project description | String |
| technology | Project technology. Set of options currently supported in OL Hub project: HTTP, IBM_MQ, KAFKA, DB_POLLER, CORBA, SFTP, ACTIVE_MQ, SOAP, REVERSE | APIEnrichmentType |
Output:
HTTP Status: 204 No Content
Example:
{
"id": "36336199-117d-49a9-8627-e31f852cae27",
"name": "new_name",
"modifiedAt": "2021-07-18T15:37:16.561503Z",
"modifiedBy": "local dev",
"description": "very crazy 2",
"createdAt": "2021-07-18T15:34:53.124612Z"
}
